var SERVER_URL = location.protocol + '//' + location.hostname + ':3644';
var USER = '4422';
var signature;
var productGroups;
var paymentTypes;
var nacinePripreme;
var slijedovi;
var slijedoviReverse;
var settings;
var printers;
var tables;
var customers;
var globalCustomerId;
$.fn.extend({
	animateCss: function (animationName, callback) {
		var animationEnd = (function (el) {
			var animations = {
				animation: 'animationend',
				OAnimation: 'oAnimationEnd',
				MozAnimation: 'mozAnimationEnd',
				WebkitAnimation: 'webkitAnimationEnd',
			};

			for (var t in animations) {
				if (el.style[t] !== undefined) {
					return animations[t];
				}
			}
		})(document.createElement('div'));

		this.addClass('animated ' + animationName).one(animationEnd, function () {
			$(this).removeClass('animated ' + animationName);

			if (typeof callback === 'function') callback();
		});

		return this;
	}
});

function $dc(tagName) {
	return $(document.createElement(tagName));
}
function castToBool(string) {
	if (!string) {
		return false;
	}
	string = string.toLowerCase();
	if (string === "1"
		|| string === "true"
		|| string === "yes"
		|| string === "da"
		|| string === "on") {
		return true;
	}
	return false;
}

function init() {
	$('#login_screen').hide();

	request('getInit', {}, function (response) {
		paymentTypes = response.payment_types;
		nacinePripreme = response.nacine_pripreme;
		productGroups = response.product_groups;
		slijedovi = response.slijedovi;
		settings = response.settings;
		printers = response.printers;
		customers = response.kupci;

		if (!castToBool(settings['general.allorder_izdaje_racun'])) {
			$('.btnRacun').replaceWith($dc('td'));
		}
		if (!castToBool(settings['general.ns_enabled'])) {
			$('.btnNS').remove();
		}
		if (!castToBool(settings['general.allorder_izdaje_ns'])) {
			//$('.btnNS').replaceWith($dc('td'));
			$('.btnNS').remove();
		}

		slijedoviReverse = [];
		for (var si = 0; si < slijedovi.length; si++) {
			slijedoviReverse[slijedovi[si].id] = slijedovi[si].short_name;
		}

		$('#normativi').empty();

		var topBar = $dc('div');
		topBar.addClass('clearfix');
		topBar.addClass('top_bar');
		topBar.append('<h3 class="btnToggleGrupe">Grupe</h3>');
		topBar.append('<div class="lastSelectedProduct"></div>');
		var search = $('<div class="search"></div>');
		var bar = $dc('div');
		bar.append('<input id="search_bar" type="text" placeholder="Pretraga" autocomplete="off"/>');
		//bar.append('<img class="btnSearch" src="img/search.svg" />');
		bar.append('<img class="btnClearSearch" src="img/clear.svg" />');
		search.append(bar);
		//$('#normativi').append(search);
		//search.appendTo('#normativi');
		topBar.append(search);

		var slijedoviSelect = $dc('div');
		slijedoviSelect.addClass('slijedovi_select');
		slijedoviSelect.addClass('clearfix');
		for (var si = 0; si < slijedovi.length; si++) {
			var tmpDiv = $dc('div');
			tmpDiv.addClass('slijedovi_select_rb');
			tmpDiv.css('width', (Math.round(100 / slijedovi.length)) + '%');
			var isChecked = '';
			if (2 === slijedovi[si].id) {
				isChecked = ' checked ';
			}
			tmpDiv.append('<input type="radio" ' + isChecked + ' name="slijedovi_select_rb" id="slijedovi_select_rb_' + si + '" value="' + slijedovi[si].id + '" />');
			tmpDiv.append('<label for="slijedovi_select_rb_' + si + '">' + slijedovi[si].short_name + '</label>');
			slijedoviSelect.append(tmpDiv);
		}
		topBar.append(slijedoviSelect);
		//$('.slijedovi_select input[value="2"]').click();//prop('checked', true);
		if (!castToBool(settings['general.order_details'])) {
			$('.slijedovi_select', topBar).hide();
		}

		topBar.append('<ul class="search_results clearfix"></ul>');
		topBar.appendTo('#normativi');
		//$('<ul class="search_results clearfix"></ul>').appendTo('#normativi');

		var groupList = $(document.createElement('div'));
		groupList.addClass('lista_grupe');
		//groupList.append('<h3>Grupe</h3>');
		var ulGroupList = $(document.createElement('ul'));
		ulGroupList.addClass('clearfix');
		groupList.append(ulGroupList);
		//groupList.appendTo('#normativi');
		topBar.append(groupList);

		var grupa;
		for (var i = 0; i < productGroups.length; i++) {
			grupa = productGroups[i];

			var liGroupList = $(document.createElement('li'));
			liGroupList.text(grupa.naziv);
			liGroupList.data('id', grupa.id);
			ulGroupList.append(liGroupList);

			var divGrupa = $(document.createElement('div'));
			divGrupa.addClass('grupa');
			divGrupa.addClass('grupa_' + grupa.id);
			//divGrupa.addClass('clearfix');
			var h3 = $(document.createElement('h3'));
			h3.text(grupa.naziv);
			divGrupa.append(h3);
			var table = $dc('table');
			var row;
			var cell;
			var product;
			var k = 0;
			var numColumns = 4;
			var productsInGroup = 0;
			for (var j = 0; j < grupa.products.length; j++) {
				product = grupa.products[j];
				if (product.is_visible === 0) {
					continue;
				}
				if (product.is_prilog === 1) {
					continue;
				}

				productsInGroup++;

				if (k === 0) {
					row = $dc('tr');
					k++;
				}
				cell = $dc('td');
				cell.text(product.name);
				cell.data('id', product.id);
				cell.data('product', product);
				row.append(cell);
				k++;
				if (k === numColumns) {
					k = 0;
					table.append(row);
				}
			}

			if (k !== 0) {
				for (var kk = 0; kk < (numColumns - k); kk++) {
					cell = $dc('td');
					row.append(cell);
				}
				table.append(row);
			}

			if (productsInGroup > 0) {
				divGrupa.append(table);
				divGrupa.appendTo('#normativi');
			} else {
				table = null;
				divGrupa = null;
			}

		}


		$('#bottom_bar .tab[data-tab="stolovi"]').click();
	});

}

function login(message) {
	/*
	if(typeof message === 'undefined'){
		message = "";
	}
	*/
	//var sifra = prompt(message+' Sifra?');
	var sifra = $('#passkey').val();
	/*
	if(sifra==null || sifra=='' ){
		login();
	}
	*/
	request('LoginAction', { sifra: sifra }, function (response) {
		if ($.isEmptyObject(response)) {
			$('#login_form .err_msg').text("Pogresna lozinka.");
			$('#passkey').val('');
		} else {
			USER = response.passkey;
			init();
		}
	});
}

$(function () {

	$(document).ajaxStart(function () {
		$('#icon_busy').show();
	}).ajaxStop(function () {
		$('#icon_busy').hide();
	});

	$(document).ajaxError(function (event, xhr, request, settings) {
		if (xhr.responseJSON) {
			//alert(xhr.responseJSON.message);
			showModal('<div style="padding:1em;text-align:center;">' + xhr.responseJSON.message + '<br/><br/><br/><button class="pure-button btnCloseModal">Zatvori</button></div>');
		} else {
			//alert('Greska u komunikacija sa serverom!');
			showModal('<div style="padding:1em;text-align:center;">Greska u komunikacija sa serverom!<br/><br/><br/><button class="pure-button btnCloseModal">Zatvori</button></div>');
		}
		$('.clicked').removeClass('clicked');
		if (xhr.status === 401) {
			/*
			USER = prompt('Sifra?');
			init();
			*/
			$('#login_screen').show();
		}
	});

	$(document).on('click touch tap', function (ev) {
		$('.double-bounce1, .double-bounce2').css({ top: (ev.pageY - 30) + 'px', left: (ev.pageX - 30) + 'px', margin: 0 });
	});

	//USER = prompt('Sifra?');

	//init();
	$('#form_login').submit(function (ev) {
		$('#form_login .err_msg').text('');
		var sifra = $('#passkey').val();
		request('LoginAction', { sifra: sifra }, function (response) {
			if ($.isEmptyObject(response)) {
				$('#form_login .err_msg').text("Pogresna lozinka.");
				$('#passkey').val('');
			} else {
				USER = response.passkey;
				$('.user_name').text(response.full_name);
				init();
			}
		});
		ev.preventDefault();
		return false;
	});

	//login();

	$('button').addClass('pure-button');

	$(document).on('click', '#bottom_bar .tab', function (event) {
		if ($(this).data('tab') === 'razdvajanje') {
			if ($('#stol').data('is_ns')) {
				alert('Stol je NS!' + "\n" + 'Prebacivanje nije moguće!');
				event.stopImmediatePropagation();
				return;
			}
		}

		$('#stol').css('padding-bottom', 130);
		$('.total.ns').hide();
		$('.btnBrisiSveStavkeNS').hide();
		$('.btnNarudzba').show();
		$('.btnDodajNormativ').show();
		$('.btnNN').show();
		$('.btnNS').show();

		if ($(this).data('tab') == 'stol') {
			if ($('#stol').data('table_id') == null) {
				showModal('<div style="padding:1em;text-align:center;">Molimo odaberite stol!<br/><br/><br/><button class="pure-button btnCloseModal">Zatvori</button></div>');
				return;
			}

			if ($('#stol').is(":visible")) {
				$('#stol').hide();
				$('#normativi').show();
				$('.stol_action_buttons').hide();
			} else {
				$('#stol').show();
				$('#normativi').hide();
				$('.stol_action_buttons').show();
				if ($('#stol').data('is_ns')) {
					$('.total.ns').show();
					$('.btnBrisiSveStavkeNS').show();
					$('.btnNarudzba').hide();
					$('.btnDodajNormativ').hide();
					$('.btnNN').hide();
					//$('.btnNS').hide();
					$('.btnNS').text('STS -');
					$('#stol').css('padding-bottom', 230);
				}
			}
			return;
		} else {
			$('.stol_action_buttons').hide();
		}

		if ($(this).data('tab') === 'stolovi') {
			refreshStolovi(true);
		}

		$('.content').hide();
		$('#' + $(this).data('tab')).show().scrollTop(0);
		//$('.top_bar .menu_'+$(this).data('tab'))
	});

	$(document).on('click', '.lastSelectedProduct', function () {
		if ($(this).data('stavka_index') != null) {
			console.log('#stol tr:nth-child(' + $(this).data('stavka_index') + 1 + ') td:first-child');
			$('#stol tr:nth-child(' + (parseInt($(this).data('stavka_index')) + 1) + ') td:first-child').click();
			$('.btnDetalji').click();
		}
	});

	$(document).on('click', '#normativi .grupa td, .search_results li', function () {
		if ($('#stol').data('table_id') == null) {
			showModal('<div style="padding:1em;text-align:center;">Molimo odaberite stol!<br/><br/><br/><button class="pure-button btnCloseModal">Zatvori</button></div>');
			return;
		}
		var that = $(this);
		that.addClass('clicked');
		$('.lastSelectedProduct').text(that.text());
		var product = getProduct(that.data('id'));
		//TODO REFACTOR IT!!!!!!!!!!!!! BAD, BAD, should be on one place
		if (product.is_detalji_auto) {
			var payload = {
				product_id: that.data('id')
			};
			request('getPrilozi', payload, function (response) {
				var table = $dc('table');
				table.addClass('detalji_dialog');
				var tr = $dc('tr');
				var td = $dc('td');
				td.text('Slijed');
				tr.append(td);
				td = $dc('td');
				var select = $dc('select');
				select.addClass('slijed_id');
				var selectedSlijed = $('.slijedovi_select input:checked').val();
				console.log("selectedSlijed: " + selectedSlijed);
				for (var ss = 0; ss < slijedovi.length; ss++) {
					option = $dc('option');
					option.val(slijedovi[ss].id);
					option.text(slijedovi[ss].short_name);
					//if(2 === slijedovi[ss].id){
					if (selectedSlijed == slijedovi[ss].id) {
						option.prop('selected', true);
					}
					select.append(option);
				}
				td.append(select);
				tr.append(td);
				table.append(tr);

				tr = $dc('tr');
				td = $dc('td');
				td.text('Nacin pripreme');
				tr.append(td);
				td = $dc('td');
				select = $dc('select');
				select.addClass('nacin_pripreme_id');
				select.append($dc('option'));
				var option;
				for (var np = 0; np < nacinePripreme.length; np++) {
					option = $dc('option');
					option.val(nacinePripreme[np].id);
					option.text(nacinePripreme[np].name);
					select.append(option);
				}
				td.append(select);
				tr.append(td);
				table.append(tr);

				tr = $dc('tr');
				td = $dc('td');
				td.text('Prilozi');
				tr.append(td);
				td = $dc('td');
				select = $dc('select');
				select.addClass('prilog_id');
				select.append($dc('option'));
				var prilogSet = false;
				for (var ip = 0; ip < response.prilozi.length; ip++) {
					option = $dc('option');
					option.val(response.prilozi[ip].id);
					option.text(response.prilozi[ip].name);
					if (response.hasOwnProperty('default') && response.prilozi[ip].id === response.default) {
						option.prop('selected', true);
						prilogSet = true;
					}
					select.append(option);
				}

				td.append(select);
				tr.append(td);
				table.append(tr);

				tr = $dc('tr');
				td = $dc('td');
				td.text('Slobodni unos');
				tr.append(td);
				td = $dc('td');
				var input = $dc('input');
				input.attr('type', 'text');
				input.addClass('komentar');
				td.append(input);
				tr.append(td);
				table.append(tr);

				tr = $dc('tr');
				td = $dc('td');
				td.attr('colspan', '2');
				td.css('text-align', 'center');
				td.append('<button class="pure-button btnCloseModal" >Otkazi</button>');
				/*
				var btn = $dc('button');
				btn.addClass('pure-button').addClass('pure-button-primary');
				btn.addClass('btnAddProduct');
				btn.css('margin-left', '2em');
				td.data('product_id', product.id);
				td.append(btn);
				*/
				td.append('<button class="pure-button pure-button-primary btnAddProduct" data-id="' + product.id + '" style="margin-left:2em;">Spremi</button>');
				tr.append(td);
				table.append(tr);

				showModal(table);
			});
		} else {
			request('productAction', {
				table_id: $('#stol').data('table_id'),
				product_id: that.data('id'),
				slijed_id: $('.slijedovi_select input:checked').val(),
				// komentar: ''
			}, function (stavki) {
				setTimeout(function () {
					that.removeClass('clicked');
				}, 300);
				$('.lastSelectedProduct').data('stavka_index', stavki.data);
				renderStavki(stavki);
			});
		}
	});

	$(document).on('click', '.btnAddProduct', function () {
		var payload = {
			table_id: $('#stol').data('table_id'),
			product_id: $(this).data('id'),
			slijed_id: $('.detalji_dialog .slijed_id').val(),
			nacin_pripreme_id: $('.detalji_dialog .nacin_pripreme_id').val(),
			prilog_id: $('.detalji_dialog .prilog_id').val(),
			komentar: $('.detalji_dialog .komentar').val()
		};
		request('productAction', payload, function (stavki) {
			setTimeout(function () {
				$('.clicked').removeClass('clicked');
			}, 300);
			$('.lastSelectedProduct').data('stavka_index', stavki.data);
			renderStavki(stavki);
			$.modal.close();
		});
	});

	$(document).on('click', '.btnToggleGrupe', function () {
		$('.lista_grupe ul').toggle();
		$('.search .btnClearSearch').trigger('click', [false]);
	});
	$(document).on('click', '.lista_grupe li', function () {
		$('.lista_grupe ul').hide();
		$('#normativi').scrollTop($('#normativi').scrollTop() + $('#normativi .grupa.grupa_' + $(this).data('id')).position().top - $('#normativi .grupa.grupa_' + $(this).data('id') + ' h3').height() * 2 - 30);
	});

	$(document).on('click', '#stolovi li', function () {
		var that = $(this);
		if ($('#stolovi').hasClass('za_razdvajanje')) {
			if ($('#stol').data('table_id') == that.data('id')) {
				alert('Prebacivanje na taj stol nije moguće!');
				return;
			}
		}
		$('.lastSelectedProduct').text('').data('stavka_index', null);
		request('getTable', { table_id: that.data('id') }, function (stavki) {
			if (!$('#stolovi').hasClass('za_razdvajanje')) {
				$('.btnShowSendMessageDialog').show();
				$('#bottom_bar [data-tab="stolovi"]').text(that.text() + ' / ' + that.data('sala'));
				$('#stol').data('table_id', that.data('id'));
				$('#stol').data('naziv', that.text());
				$('#stol').data('sala', that.data('sala'));
				renderStavki(stavki);
				$('#bottom_bar .tab[data-tab="stol"]').click();
			} else {
				//if(stavki.is_ns && !castToBool(settings['general.razdvoji_ns'])){
				if (stavki.is_ns) {
					alert('Prebacivanje nije moguće. Stol je NS!');
					return;
				}
				$('#stolovi').removeClass('za_razdvajanje');
				$('.btnOdaberiStol').text(that.text() + ' / ' + that.data('sala'));
				fillTable('#razdvajanje .stol_b tbody', stavki, that.data('id'), true);
				$('#razdvajanje .stol_b tbody button.btnMoveOne').each(function (ind, el) {
					$(this).text('<');
				});
				$('#razdvajanje .stol_b tbody button.btnMoveAll').each(function (ind, el) {
					$(this).text('<<');
				});
			}
		});
	});

	$(document).on('click', '#stol td:first-child', function () {
		//showModal(renderStavkaFull($(this).parents('tr').data('stavka'), $(this).parents('tr').data('index')));
		showModal(renderStavkaFull($(this).parents('tr').data('stavka'), $(this).parents('tr').index()));
	});

	$(document).on('click', '.btnKolicinaPlus', function () {
		var that = $(this);
		var index = that.parents('tr').data('index');
		var payload = {
			table_id: that.parents('tbody').data('table_id'),
			selected_row: index
		};
		request('kolicinaPlusAction', payload, function (stavka) {
			var tr = renderStavkaRow(stavka, index);
			that.parents('tr').replaceWith(tr);
			calculateTotal();
		});
	});
	$(document).on('click', '.btnKolicinaMinus', function () {
		var that = $(this);
		var indexOLD = that.parents('tr').data('index');
		var index = that.parents('tr').index();
		var payload = {
			table_id: that.parents('tbody').data('table_id'),
			selected_row: index
		};
		request('KolicinaMinusAction', payload, function (stavka) {
			if ($.isEmptyObject(stavka)) {
				that.parents('tr').remove();
			} else {
				var tr = renderStavkaRow(stavka, index);
				that.parents('tr').replaceWith(tr);
			}
			calculateTotal();
		});
	});

	$(document).on('click', '.btnBrisi', function () {
		if (!confirm('Dali ste sigurni?')) {
			return;
		}
		var that = $(this);
		var payload = {
			table_id: $('#stol').data('table_id'),
			selected_row: that.parents('table').data('stavka_index')
		};
		request('brisiStavka', payload, function (stavki) {
			renderStavki(stavki);
			$.modal.close();
		});
	});

	$(document).on('click', '.btnBrisiSveStavkeNS', function () {
		if (!confirm('Dali ste sigurni?')) {
			return;
		}
		if (!$('#stol').data("is_ns")) {
			alert('Stol nije NS!');
			return;
		}
		var payload = {
			table_id: $('#stol').data('table_id')
		};
		request('brisiSveStavkeNS', payload, function (stavki) {
			offloadTable();
		});
	});

	$(document).on('click', '.btnKolicina, .btnKomentar, .btnPopust', function () {
		var what = this.classList[1];
		var that = $(this);
		var inputType = 'text';
		var requestAction = '';
		var title = '';
		var val = '';
		var stavka = that.parents('table').data('stavka');
		switch (what) {
			case 'btnKolicina':
				inputType = 'number';
				title = 'Količina';
				requestAction = 'setKolicina';
				val = stavka.amount;
				break;
			case 'btnPopust':
				inputType = 'number';
				title = 'Popust';
				requestAction = 'setPopust';
				val = stavka.discount_percent;
				break;
			case 'btnKomentar':
				inputType = 'text';
				title = 'Komentar';
				requestAction = 'setKomentar';
				val = (typeof stavka.comment === 'undefined') ? '' : stavka.comment;
				break;
		}
		var payload = {
			table_id: $('#stol').data('table_id'),
			selected_row: that.parents('table').data('stavka_index'),
			action: requestAction
		};
		var form = $dc('form');
		form.addClass('formSubdetailSave');
		var naziv = $dc('p');
		naziv.text(getProduct(that.parents('table').data('stavka').product_id).name);
		naziv.append('<br/>' + title);
		form.append(naziv);
		form.append('<input type="' + inputType + '" name="kol" step="any" required value="' + val + '" />');
		form.append('<br/><br/><br/>');
		form.append('<button type="button" class="pure-button btnCloseModal" >Otkazi</button>');
		form.append('<button type="submit" class="pure-button pure-button-primary" style="margin-left:2em;">Spremi</button>');
		form.data('payload', payload);
		showModal(form);
		$('input', form).select().focus();
	});
	$(document).on('submit', '.formSubdetailSave', function (ev) {
		var payload = $(this).data('payload');
		var value = $('input', this).val();
		if (payload.action === 'setKolicina' || payload.action === 'setPopust') {
			value = parseFloat(value);
			if (isNaN(value)) {
				alert('Molimo unesite kolicina.');
				ev.preventDefault();
				return false;
			}
		}
		switch (payload.action) {
			case 'setKolicina':
				payload.kolicina = value;
				break;
			case 'setPopust':
				payload.discount = value;
				break;
			case 'setKomentar':
				payload.komentar = value;
				break;
		}
		var requestAction = payload.action;
		delete payload.action;
		request(requestAction, payload, function (stavki) {
			renderStavki(stavki);
			$.modal.close();
		});
		ev.preventDefault();
		return false;
	});

	/*
	$(document).on('click', '.btnKolicina', function(){
		var that = $(this);
		var payload = {
			table_id: $('#stol').data('table_id'),
			selected_row: that.parents('table').data('stavka_index'),
			//kolicina: kolicina
		};

		var form = $dc('form');
		form.addClass('formKolicinaSave');
		var naziv = $dc('p');
		naziv.text(getProduct(that.parents('table').data('stavka').product_id).name);
		form.append(naziv);
		form.append('<input type="number" name="kol" step="any" required />');
		form.append('<br/><br/><br/>');
		form.append('<button type="button" class="pure-button btnCloseModal" >Otkazi</button>');
		form.append('<button type="submit" class="pure-button pure-button-primary" style="margin-left:2em;">Spremi</button>');
		form.data('payload', payload);
		showModal(form);
		$('input[type="number"]', form).focus();
	});
	$(document).on('submit', '.formKolicinaSave', function(ev){
		var kolicina = parseFloat($('input[type="number"]', this).val());
		if(isNaN(kolicina)){
			alert('Molimo unesite kolicina.');
			ev.preventDefault();
			return false;
		}
		var payload = $(this).data('payload');
		payload.kolicina = kolicina;
		request('setKolicina', payload, function(stavki){
			renderStavki(stavki);
			$.modal.close();
		});
		ev.preventDefault();
		return false;
	});
	$(document).on('click', '.btnPopust', function(){
		var popust = null;
		var p;
		do{
			p = prompt("Popust:", "");
			if(p==null){
				return;
			}
			popust = parseFloat(p);
		}while(isNaN(popust));

		var that = $(this);
		var payload = {
			table_id: $('#stol').data('table_id'),
			selected_row: that.parents('table').data('stavka_index'),
			discount: popust
		};
		request('setPopust', payload, function(stavki){
			renderStavki(stavki);
			$.modal.close();
		});
	});

	$(document).on('click', '.btnKomentar', function(){
		var oldComment = $('.comment', $(this).parents('.modal')).text();
		var komentar = prompt("Komentar:", oldComment);
		if(komentar==null){
			return;
		}
		var that = $(this);
		var payload = {
			table_id: $('#stol').data('table_id'),
			selected_row: that.parents('table').data('stavka_index'),
			komentar: komentar
		};
		request('setKomentar', payload, function(stavki){
			renderStavki(stavki);
			$.modal.close();
		});
	});
	*/
	$(document).on('click', '.btnDetalji', function () {
		var that = $(this);
		var payload = {
			product_id: that.parents('table').data('stavka').product_id
		};
		request('getPrilozi', payload, function (response) {
			var table = $dc('table');
			table.addClass('detalji_dialog');
			var tr = $dc('tr');
			var td = $dc('td');
			td.attr('colspan', 2);
			td.css('text-align', 'center');
			td.text($('.stavka_details tr:first-child td:last-child').text());
			tr.append(td);
			table.append(tr);

			tr = $dc('tr');
			td = $dc('td');
			td.text('Količina');
			tr.append(td);
			td = $dc('td');
			td.text(that.parents('table').data('stavka').amount);
			tr.append(td);
			table.append(tr);

			tr = $dc('tr');
			td = $dc('td');
			td.text('Slijed');
			tr.append(td);
			td = $dc('td');
			var select = $dc('select');
			select.addClass('slijed_id');
			for (var ss = 0; ss < slijedovi.length; ss++) {
				option = $dc('option');
				option.val(slijedovi[ss].id);
				option.text(slijedovi[ss].short_name);
				if (that.parents('table').data('stavka').slijed == slijedovi[ss].id) {
					option.prop('selected', true);
				}
				select.append(option);
			}
			td.append(select);
			tr.append(td);
			table.append(tr);

			tr = $dc('tr');
			td = $dc('td');
			td.text('Nacin pripreme');
			tr.append(td);
			td = $dc('td');
			select = $dc('select');
			select.addClass('nacin_pripreme_id');
			select.append($dc('option'));
			var option;
			for (var np = 0; np < nacinePripreme.length; np++) {
				option = $dc('option');
				option.val(nacinePripreme[np].id);
				option.text(nacinePripreme[np].name);
				if (that.parents('table').data('stavka').nacin_pripreme_id == nacinePripreme[np].id) {
					option.prop('selected', true);
				}
				select.append(option);
			}
			td.append(select);
			tr.append(td);
			table.append(tr);

			tr = $dc('tr');
			td = $dc('td');
			td.text('Prilozi');
			tr.append(td);
			td = $dc('td');
			select = $dc('select');
			select.addClass('prilog_id');
			select.append($dc('option'));
			var prilogSet = false;
			for (var ip = 0; ip < response.prilozi.length; ip++) {
				option = $dc('option');
				option.val(response.prilozi[ip].id);
				option.text(response.prilozi[ip].name);
				if (that.parents('table').data('stavka').prilog_id == response.prilozi[ip].id) {
					option.prop('selected', true);
					prilogSet = true;
				}
				select.append(option);
			}
			if (!prilogSet && response.hasOwnProperty('default')) {
				select.val(response.default);
			}

			td.append(select);
			tr.append(td);
			table.append(tr);

			tr = $dc('tr');
			td = $dc('td');
			td.text('Slobodni unos');
			tr.append(td);
			td = $dc('td');
			var input = $dc('input');
			input.attr('type', 'text');
			input.addClass('komentar');
			input.val(that.parents('table').data('stavka').comment);
			td.append(input);
			tr.append(td);
			table.append(tr);

			tr = $dc('tr');
			td = $dc('td');
			td.attr('colspan', '2');
			td.css('text-align', 'center');
			td.append('<button class="pure-button btnCloseModal" >Otkazi</button>');
			td.append('<button class="pure-button pure-button-primary btnSaveDetalji" data-index="' + that.parents('table').data('stavka_index') + '" style="margin-left:2em;">Spremi</button>');
			tr.append(td);
			table.append(tr);

			showModal(table);
		});
	});
	$(document).on('click', '.btnSaveDetalji', function () {
		var that = $(this);
		var index = $(this).data('index');
		var payload = {
			table_id: $('#stol').data('table_id'),
			selected_row: that.data('index'),
			slijed_id: $('.detalji_dialog .slijed_id').val(),
			nacin_pripreme_id: $('.detalji_dialog .nacin_pripreme_id').val(),
			prilog_id: $('.detalji_dialog .prilog_id').val(),
			komentar: $('.detalji_dialog .komentar').val()
		};
		request('detaljiAction', payload, function (stavka) {
			var tr = renderStavkaRow(stavka, index);
			$('#stol tbody tr').eq(index).replaceWith(tr);
			calculateTotal();
			$.modal.close();
		});
	});

	$(document).on('click', '.btnNN', function () {
		request('NNAction', { table_id: $('#stol').data('table_id') }, function () {
			offloadTable();
		});
	});
	$(document).on('click', '.btnNS', function () {
		if ($('#stol').data('is_ns')) {
			if (confirm('Otključaj stol?')) {
				request('NSStornoAction', { table_id: $('#stol').data('table_id') }, function (stavki) {
					renderStavki(stavki);
					$('.total.ns').hide();
					$('.btnBrisiSveStavkeNS').hide();
					$('.btnNarudzba').show();
					$('.btnDodajNormativ').show();
					$('.btnNN').show();
					$('.btnNS').text('STS');
					$('#stol').css('padding-bottom', 130);
				});
			}
			return;
		}

		request('NSAction', { table_id: $('#stol').data('table_id') }, function (stavki) {
			//offloadTable();

			$('#stol').data('is_ns', true);
			$('#stol').hide();
			renderStavki(stavki);
			$('.btnNS').text('STS -');
			$('.btnNarudzba').click();
		});
	});
	$(document).on('click', '.btnRacun', function (ev) {
		var r1 = $(this).data('isR1');
		globalCustomerId = $(this).data('customer_id');
		console.log("r1 vrijednost je:" + r1 + " KUPAC ID: " + $(this).data('customer_id'));
		var str = '';
		str += '<div class="payment_buttons_dialog">';
		str += '<button class="pure-button btnShowCards" >KARTICA</button>';
		str += '<button class="pure-button btnPay" data-payment_type="CASH">GOTOVINA</button>';
		if (r1 === undefined) str += '<button style="background-color: yellow" class="pure-button btnShowCustmers" >R1</button>';
		str += '<button class="pure-button btnCloseModal" >Otkazi</button>';
		str += '</div>';
		showModal(str);
	});

	//Dodavnje R1 logike
	$(document).on('click', '.btnShowCustmers', function (ev) {

		dioLogikeZaDialogR1(customers);
		//Logika za trazenje
		$(document).on('click', '.btnTrazi', function (ev) {
			var kupacZaPretragu = $('#traziKupca textarea').val();

			//Pozivamo zbog testa request , pretrazivanje po imenu:
			request('getKupci', { customer_name: kupacZaPretragu }, function (response) {
				var pretrazeniKupci = response.kupciPretrazeni;
				customers = response.kupciPretrazeni;

				for (var index = 0; index < pretrazeniKupci.length; index++) {
					const kupac = pretrazeniKupci[index];
				}

				dioLogikeZaDialogR1(response.kupciPretrazeni);
			});
		});
	});

	function dioLogikeZaDialogR1(customers) {
		var dialog = $dc('div');
		dialog.addClass('customers_dialog');
		var div = $dc('div');
		div.addClass('cards');
		div.addClass('clearfix');
		var button;
		var img;
		var pt;
		for (var i = 0; i < customers.length; i++) {
			customer = customers[i];

			button = $dc('button');
			button.addClass('pure-button');
			button.addClass('btnRacun');
			button.html('Naziv: ' + customer.name + '<br>' +
				'Grad: ' + customer.city + '<br>' +
				'OIB: ' + customer.oib + '<br>' +
				'Tel: ' + customer.phone + '<br>' +
				'Kon. osob: ' + customer.contact_person);
			//	button.data('payment_type', 'CARD');
			//	button.data('payment_type_id', pt.id);
			button.data('isR1', true);
			button.data('customer_id', customer.id);
			console.log("Customer id iz baze:" + customer.id);
			console.log("city id iz baze:" + customer.city);
			div.append(button);
			/*
			img = $dc('img');
			console.log(paymentTypes[i].icon);
			img.attr('src', 'data:image/png;base64, '+paymentTypes[i].icon);
			*/
		}

		//Pozivamo zbog testa request , pretrazivanje po imenu:
		/*
		request('getKupci', { customer_name: 'kupac' }, function (response) {
			var pretrazeniKupci = response.kupciPretrazeni;
			for (var index = 0; index < pretrazeniKupci.length; index++) {
				const kupac = pretrazeniKupci[index];
				console.log("Pretrazeni kupci: " + kupac.name);
			}

		});
		*/
		dialog.append(div);
		// Dodavnje textarea polja za pretrazvanje
		dialog.append('<div id="traziKupca"><br/><textarea placeholder="Pretrazite kupca ovdje" cols="10" rows="1" style="width: 100%;padding:0.5em;margin-bottom:1em;color:#000;"></textarea></div>');
		dialog.append('<div style="text-align: center"><button class="pure-button btnTrazi" >Trazi</button></div>');
		dialog.append('<div style="text-align: center"><button style="background-color: green; color: white" class="pure-button btnDodajKupca" >Dodaj Kupca</button></div>');
		dialog.append('<div style="text-align: center"><button class="pure-button btnCloseModal" >Otkazi</button></div>');

		showModal(dialog);
	}



	$(document).on('click', '. ', function (ev) {
		var dialog = $dc('div');
		dialog.addClass('payment_cards_dialog');
		var div = $dc('div');
		div.addClass('cards');
		div.addClass('clearfix');
		var button;
		var img;
		var pt;
		for (var i = 0; i < paymentTypes.length; i++) {
			pt = paymentTypes[i];
			if (pt.type != 1) {
				continue;
			}
			button = $dc('button');
			button.addClass('pure-button');
			button.addClass('btnPay');
			button.text(pt.name);
			button.data('payment_type', 'CARD');
			button.data('payment_type_id', pt.id);
			div.append(button);
			/*
			img = $dc('img');
			console.log(paymentTypes[i].icon);
			img.attr('src', 'data:image/png;base64, '+paymentTypes[i].icon);
			*/
		}
		dialog.append(div);
		dialog.append('<div style="text-align: center"><button class="pure-button btnCloseModal" >Otkazi</button></div>');
		showModal(dialog);
	});

	$(document).on('click', '.btnPay', function (ev) {
		var kupac_id;

		kupac_id == undefined ? kupac_id = null : kupac_id = globalCustomerId;
		request('RacunAction', {
			table_id: $('#stol').data('table_id'), payment_type: $(this).data('payment_type'),
			payment_type_id: $(this).data('payment_type_id'),
			customer_id: globalCustomerId === undefined ? null : globalCustomerId
		}, function () {
			$.modal.close();
			offloadTable();
		});
	});

	$(document).on('click', '.btnShowSendMessageDialog', function () {
		var select = '<select style="padding: 0.5em;color:#000;width:75%;">';
		for (var i = 0; i < printers.length; i++) {
			if (printers[i].id == settings['general.allorder_default_printer_id']) {
				select += '<option selected value="' + printers[i].id + '">' + printers[i].name + '</option>';
			} else {
				select += '<option value="' + printers[i].id + '">' + printers[i].name + '</option>';
			}
		}
		select += '</select>';
		var content = '<form class="form_send_message" action="#" method="post" style="padding:1em;">'
			+ 'Poruka:<br/><textarea cols="10" rows="3" style="width: 100%;padding:0.5em;margin-bottom:1em;color:#000;"></textarea>'
			+ '<span style="display: inline-block;width: 25%;">Printer: </span>' + select + '<br/><br/>'
			+ '<div style="text-align: center;">'
			+ '<input type="button" class="pure-button btnCloseModal" style="margin-right:2em;" value="Nazad" />'
			+ '<input type="submit" class="pure-button pure-button-primary"  value="Šalji" />'
			+ '</div>'
			+ '</form>';
		content = $(content);
		showModal(content);
		$('textarea', content).focus();

	});
	$(document).on('submit', '.form_send_message', function (e) {
		e.preventDefault();
		request('sendMessageToPrinterAction', { message: $('textarea', this).val(), printer_id: $('select', this).val(), table_id: $('#stol').data('table_id') });
		$.modal.close();
		return false;
	});

	$(document).on('click', '.btnCloseModal', function () {
		$.modal.close();
	});

	// ### RAZDVAJANJE STOLOVA START ###//
	$(document).on('click', '.btnRazdvoji', function () {
		if ($('#stol').data('is_ns')) {
			alert('Stol je NS!' + "\n" + 'Prebacivanje nije moguće!');
			return;
		}

		$('#razdvajanje .stol_b tbody').remove();
		$('#razdvajanje .stol_b').append(document.createElement('tbody'));
		$('.stol_naziv').text($('#stol').data('naziv') + ' / ' + $('#stol').data('sala'));
		$('.btnOdaberiStol').text('Odaberi stol');

		request('getTable', { table_id: $('#stol').data('table_id') }, function (table) {
			fillTable('#razdvajanje .stol_a tbody', table, $('#stol').data('table_id'), true);
		});
	});
	$(document).on('click', '.btnOdaberiStol', function () {
		$('#stolovi').addClass('za_razdvajanje');
		refreshStolovi();
	});
	$(document).on('click', '.btnZavrsiRazdvajanje', function () {
		//debugger;
		$('#stolovi').removeClass('za_razdvajanje');

		/*
		var tableID = $('#razdvajanje .stol_b tbody').data('table_id');
		if(!tableID){
			tableID = $('#stol').data('table_id');
		}else{
			var li = null;
			var stolovi = $('#stolovi li');
			for(var i=0; i<stolovi.length; i++){
				if($(stolovi[i]).data('id')==tableID){
					$('#bottom_bar [data-tab="stolovi"]').text($(stolovi[i]).text()+' / '+$(stolovi[i]).data('sala'));
					break;
				}
			}
		}
		request('getTable', {table_id:tableID}, function(stavki){
			renderStavki(stavki);
			$('#bottom_bar .tab[data-tab="stol"]').click();
		});
		*/

		var tableID = $('#razdvajanje .stol_b tbody').data('table_id');
		if (!tableID) {
			tableID = $('#stol').data('table_id');
		}
		offloadTable(false);
		var stolovi = $('#stolovi li');
		for (var i = 0; i < stolovi.length; i++) {
			if ($(stolovi[i]).data('id') == tableID) {
				$(stolovi[i]).click();
				break;
			}
		}

	});
	$(document).on('click', '.btnMoveOne, .btnMoveAll', function () {
		var that = $(this);
		var tableAID = $('#razdvajanje .stol_a tbody').data('table_id');
		var tableBID = $('#razdvajanje .stol_b tbody').data('table_id');
		if (!tableBID) {
			alert('Molimo odaberite stol');
			return;
		}
		var payload = {
			from_table: that.parents('tbody').data('table_id'),
			stavka_index: that.parents('tr').data('index'),
			kolicina: $(this).hasClass('btnMoveAll') ? 'all' : 'one'
		};

		if (that.parents('table').hasClass('stol_a')) {
			payload.to_table = tableBID;
		} else {
			payload.to_table = tableAID;
		}

		request('prebaciStavka', payload, function (response) {
			request('getTable', { table_id: tableAID }, function (table) {
				//console.log('TABLE A', tableAID, table);
				fillTable('#razdvajanje .stol_a tbody', table, tableAID, true);
				request('getTable', { table_id: tableBID }, function (table) {
					//console.log('TABLE B', tableBID, table);
					fillTable('#razdvajanje .stol_b tbody', table, tableBID, true);
					$('#razdvajanje .stol_b tbody button.btnMoveOne').each(function (ind, el) {
						$(this).text('<');
					});
					$('#razdvajanje .stol_b tbody button.btnMoveAll').each(function (ind, el) {
						$(this).text('<<');
					});
				});
			});

		});
	});
	// ### RAZDVAJANJE STOLOVA END ###//

	// ### SEARCH (PRETRAGA) ### //
	$(document).on('keyup', '#search_bar', function () {
		var searchTerm = $(this).val().toLowerCase();
		$('.search img').hide();
		var ul = $('.search_results');
		ul.empty();
		if (searchTerm.length === 0) {
			//$('.search .btnSearch').show();
			return;
		}

		var grupa;
		var product;
		var li;
		for (var i = 0; i < productGroups.length; i++) {
			grupa = productGroups[i];
			for (var j = 0; j < grupa.products.length; j++) {
				product = grupa.products[j];
				if (product.is_visible === 0) {
					continue;
				}
				if (product.is_prilog === 1) {
					continue;
				}
				if (product.name.toLowerCase().startsWith(searchTerm)) {
					li = $dc('li');
					li.text(product.name);
					li.data('id', product.id);
					li.data('product', product);
					ul.append(li);
				}
			}
		}
		$('.search .btnClearSearch').show();
	});
	$(document).on('focus', '#search_bar', function () {
		$('.lista_grupe ul').hide();
	});

	$(document).on('click', '.search .btnClearSearch', function (ev, focus) {
		$('#search_bar').val('').trigger('keyup');
		if (typeof focus === 'undefined') {
			focus = true;
		}
		if (focus) {
			$('#search_bar').focus();
		}
	});



	/*
	if(	   window.location.hostname==='localhost'
		|| window.location.hostname==='192.168.43.64'
		|| window.location.hostname==='192.168.0.21'
		|| window.location.hostname==='192.168.1.113'){
		$('#passkey').val('44');
		$('#form_login').submit();
	}
	*/

	/*
		if (window.requestIdleCallback) {
			requestIdleCallback(function () {
				Fingerprint2.get(function (components) {
					signature = YaMD5.hashStr(JSON.stringify(components));
				})
			})
		} else {
			setTimeout(function () {
				Fingerprint2.get(function (components) {
					signature = YaMD5.hashStr(JSON.stringify(components));
				})
			}, 500)
		}
	*/
});

function fillTable(tbodySelector, table, tableID, zaRazdvajanje) {
	var tbody = $(tbodySelector);
	tbody.empty();
	tbody.data('table_id', tableID);
	for (var i = 0; i < table.stavki.length; i++) {
		tbody.append(renderStavkaRow(table.stavki[i], i, zaRazdvajanje));
	}
	$('.content').hide();
	$('#razdvajanje').show().scrollTop(0);
}

function refreshStolovi(dontClick) {
	request('getStolovi', {}, function (response) {
		$('#stolovi').empty();
		var arr = response.stolovi_string.split("\n");
		var tokens = null;
		var ul = null;
		for (var i = 0; i < arr.length; i++) {
			tokens = arr[i].split(",");
			if (tokens[0].toUpperCase() == 'SALA') {
				var div = $dc('div');
				var h2 = $(document.createElement('h2'));
				h2.text(tokens[1]);
				//h2.appendTo('#stolovi');
				div.append(h2);
				ul = $(document.createElement('ul'));
				//ul.appendTo('#stolovi');
				ul.addClass('clearfix');
				div.append(ul);
				div.appendTo('#stolovi');
			} else if (tokens[0].toUpperCase() == 'STO') {
				var li = $(document.createElement('li'));
				li.text(tokens[1]);
				li.data('id', tokens[11]);
				li.data('sala', h2.text());
				if (tokens[12] == 'PUN') {
					li.addClass('full');
				}
				if (tokens[14] == 'NS') {
					li.removeClass('full');
					li.addClass('ns');
				}

				if (castToBool(settings['general.allorder_stolovi_u_boja'])) {
					//li.css('background-color', 'rgb('+[tokens[4], tokens[3], tokens[2]].join(',')+')');
					var r = parseInt(tokens[4]);
					var g = parseInt(tokens[3]);
					var b = parseInt(tokens[2]);
					li.css('background-color', 'rgb(' + r + ', ' + g + ', ' + b + ')');
				}

				ul.append(li);
			}
		}
		$('#stolovi').append($('#stolovi>div').get().reverse());
		if (typeof dontClick === 'undefined') {
			$('#bottom_bar .tab[data-tab="stolovi"]').click();
		}
	});
}

function showKolicinaDialog() {

}

function calculateTotal() {
	var trs = $('#stol tbody tr');
	var total = 0;
	for (var i = 0; i < trs.length; i++) {
		total += parseFloat($(trs[i]).data('stavka').price);
	}
	$('.total').text('(' + total.toFixed(2) + ')');
	$('.total.ns').text(total.toFixed(2));
	if (castToBool(settings['general.euro_na_ns'])) {
		var sumEuro = (total / parseFloat(settings['general.euro_exchange_rate'])).toFixed(2);
		var infoEuro = 'INFO EURO: ' + sumEuro + ' (1EUR = ' + settings['general.euro_exchange_rate'] + ')';
		$('.total.ns').append('<div>' + infoEuro + '</div>');
	}
}

function offloadTable(clickOnStolovi) {
	if (typeof clickOnStolovi === 'undefined') {
		clickOnStolovi = true;
	}
	var tbody = $('#stol tbody');
	tbody.empty();
	tbody.data('table_id', null);
	$('#stol').data('table_id', null);
	$('.btnShowSendMessageDialog').hide();
	$('.total').empty();
	$('[name="slijedovi_select_rb"]:eq(1)').prop('checked', true);
	$('.lastSelectedProduct').text('').data('stavka_index', null);
	if (clickOnStolovi) {
		$('#bottom_bar [data-tab="stolovi"]').text('Stolovi').click();
	}
	//refreshStolovi();

}

function request(action, payload, callback) {
	if (typeof callback === 'undefined') {
		callback = $.noop;
	}
	//console.log('REQUESTING '+action, payload);
	var requestBody = JSON.stringify({ action: action, user: USER, data: payload });
	$.post(SERVER_URL, requestBody, callback);
}

function getProduct(productID) {
	for (var i = 0; i < productGroups.length; i++) {
		var grupa = productGroups[i];
		for (var j = 0; j < grupa.products.length; j++) {
			if (productID == grupa.products[j].id) {
				return grupa.products[j];
			}
		}
	}
}

function renderStavki(table) {
	$('#stol').data('is_ns', table.is_ns);

	if ($('#stol').data('is_ns')) {
		$('.btnNS').text('STS -');
	} else {
		$('.btnNS').text('STS');
	}

	if ($('#stol').data('is_ns')) {
		$('.what_column').text('Cijena');
	} else {
		if (castToBool(settings['general.order_details'])) {
			$('.what_column').text('Slijed');
		} else {
			$('.what_column').text('Uk');
		}
	}
	var stavki = table.stavki;
	var tbody = $('#stol tbody');
	tbody.empty();
	tbody.data('table_id', $('#stol').data('table_id'));
	for (var i = 0; i < stavki.length; i++) {
		tbody.append(renderStavkaRow(stavki[i], i));
	}
	calculateTotal();
}

function renderStavkaRow(s, i, zaRazdvajanje) {
	if (typeof zaRazdvajanje === 'undefined') {
		zaRazdvajanje = false;
	}
	var tr = $(document.createElement('tr'));
	tr.data('stavka', s);
	tr.data('index', i);

	var td = $(document.createElement('td'));
	td.text(getProduct(s.product_id).name_long);
	//var tekst = getProduct(s.product_id).name_long;
	if (s.hasOwnProperty('prilog_id')) {
		//tekst += ' ('+getProduct(s.prilog_id).name+')';
		//td.append('<span>');
		var prilogSpan = $dc('span');
		prilogSpan.addClass('prilog');
		prilogSpan.text(' (' + getProduct(s.prilog_id).name + ')');
		td.append(prilogSpan);
	}

	if (s.hasOwnProperty('comment')) {
		var spanKomentar = $(document.createElement('span'));
		spanKomentar.addClass('komentar');
		spanKomentar.text(s.comment);
		td.append(spanKomentar);
	}
	tr.append(td);

	td = $(document.createElement('td'));
	td.text(s.amount);
	tr.append(td);

	if (!zaRazdvajanje) {
		td = $(document.createElement('td'));
		if ($('#stol').data('is_ns')) {
			td.text((parseFloat(s.base_price) * parseFloat(s.amount) * (100 - parseFloat(s.discount_percent)) / 100).toFixed(2));
		} else {
			if (castToBool(settings['general.order_details'])) {
				td.text(slijedoviReverse[s.slijed]);
			} else {
				td.text(s.price);
			}
		}
		tr.append(td);
	}

	if (zaRazdvajanje) {
		tr.append('<td><button class="pure-button btnMoveOne">&gt;</button> <button class="pure-button btnMoveAll">&gt;&gt;</button></td>');
	} else {
		tr.append('<td><button class="pure-button btnKolicinaMinus">-</button> <button class="pure-button btnKolicinaPlus" ' + ($('#stol').data('is_ns') ? ' disabled ' : '') + '>+</button></td>');
	}

	return tr;
}

function renderStavkaFull(stavka, index) {
	var table = $(document.createElement('table'));
	var product = getProduct(stavka.product_id);
	table.addClass('stavka_details');
	table.data('stavka', stavka);
	table.data('stavka_index', index);
	table.append(getStavkaDetailsRow('Naziv', product.name_long));
	table.append(getStavkaDetailsRow('Cijena/jed', stavka.base_price));
	table.append(getStavkaDetailsRow('Ukupno', stavka.price));
	table.append(getStavkaDetailsRow('Popust', stavka.discount_percent));
	if (stavka.hasOwnProperty('comment') && stavka.comment.trim() != '') {
		table.append(getStavkaDetailsRow('Komentar', stavka.comment, 'comment'));
	}
	table.append(getStavkaDetailsRow('Kolicina', stavka.amount));
	var tr = $(document.createElement('tr'));
	var td = $(document.createElement('td'));
	td.attr('colspan', 2);
	td.addClass('actions');
	td.append('<button class="pure-button btnDetalji" ' + ($('#stol').data('is_ns') ? ' disabled ' : '') + '>Detalji</button>');
	td.append('<button class="pure-button btnBrisi">Brisi</button>');
	td.append('<button class="pure-button btnKomentar" ' + ($('#stol').data('is_ns') ? ' disabled ' : '') + '>Komentar</button>');
	td.append('<button class="pure-button btnPopust" ' + (product.no_discount ? ' disabled ' : '') + '>Popust</button>');
	td.append('<button class="pure-button btnKolicina" ' + ($('#stol').data('is_ns') ? ' disabled ' : '') + '>Kolicina</button>');
	td.append('<button class="pure-button btnCloseModal">Zatvori</button>');
	tr.append(td);
	table.append(tr);
	return table;
}

function getStavkaDetailsRow(firstCell, secondCell, className) {
	var tr = $(document.createElement('tr'));
	var td = $(document.createElement('td'));
	td.text(firstCell);
	tr.append(td);
	td = $(document.createElement('td'));
	td.text(secondCell);
	if (typeof className !== 'undefined') {
		td.addClass(className);
	}
	tr.append(td);
	return tr;
}

function showModal(content) {
	var contentWrapper = $('.modal .content_wrapper');
	contentWrapper.empty();
	//modalContent.append('<span id="btnCloseModal">[x]</span>');
	contentWrapper.append(content);

	$('.modal').modal();
}
function hideModal() {
	//$('#modal_content').empty();
	//$('#modal').hide();
	$.modal.close();
}